summaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
index 96e80bf..b079b6c 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -373,6 +373,13 @@ echo
echo "Running API version generation script:"
bin/make_vers src/H5vers.txt || exit 1
+# Run make_overflow
+# make_overflow automatically generates macros for detecting overflows for type
+# conversion.
+echo
+echo "Running overflow macro generation script:"
+bin/make_overflow src/H5overflow.txt || exit 1
+
# Run flex and bison
# automatically generates hl/src/H5LTanalyze.c and hl/src/H5LTparse.c
echo